=== debian/changelog ===
lensfun (0.3.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #1007720)
  * Update standards version to 4.6.0, no changes needed.
  * Sort install files.
  * Use execute_before_dh_auto_clean to avoid invoking dh_auto_clean manually.
  * Update the patches:
    - upstream_Use-database-in-source-directory-while-running-tests.patch:
      drop, backported from upstream
    - upstream_Patch-47-respect-DESTDIR-when-installing-python-stuf.patch:
      drop, backported from upstream
  * Change the python3 build dependency to python3:any, as Python is needed
    only as build tool.
  * Drop the "uupdate" step from the watch file.

 -- Pino Toscano <pino@debian.org>  Tue, 15 Mar 2022 22:03:42 +0100
