## lensfun 0.3.4

=== libs/regex/CMakeLists.txt ===
# build regex library
IF(NOT HAVE_REGEX_H)
FILE(GLOB REGEX_SRC *.c *.h)
LIST(APPEND REGEX_SRC ../../include/regex/regex.h)
ADD_LIBRARY(tre_regex STATIC ${REGEX_SRC})
SET_TARGET_PROPERTIES(tre_regex PROPERTIES COMPILE_FLAGS "-DHAVE_SYS_TYPES_H -DTRE_REGEX_T_FIELD=value -DTRE_VERSION=\\\"0.8.0\\\" -Dinline=_inline")
SET_TARGET_PROPERTIES(tre_regex PROPERTIES VERSION "${VERSION_MAJOR}.${VERSION_MINOR}).${VERSION_MICRO}")  
INSTALL(TARGETS tre_regex ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
ENDIF()
