=== debian/changelog ===
lensfun (1:0.3.4-2) unstable; urgency=medium

  * Bump epoch to 1 to revert the mess done in unstable by uploading an
    experimental/development version NOT meant for unstable.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113100)
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Pino Toscano <pino@debian.org>  Tue, 07 Oct 2025 07:40:30 +0200

lensfun (0.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 2.8.12
    - add python3-setuptools
  * Fix the setuptools-based installation of the Python module:
    - export DEB_PYTHON_INSTALL_LAYOUT=deb so that the Python bits are installed
      in the expected way for Debian builds (see #1041633)
    - tweak the arguments for 'setup.py install'; patch python-setuptools.diff
  * Remove inactive Uploaders.
  * Update lintian overrides.
  * Fix the handling of min/max float limits for comparisons, fixing the lens
    search on certain architectures (e.g. i386); patch fix-float.diff.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Aug 2023 08:02:34 +0200
