=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%lensfun-$1.tar.gz%" \
  https://github.com/lensfun/lensfun/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
