=== libs/getopt/CMakeLists.txt ===
ADD_LIBRARY(getopt STATIC getopt.c getopt.h)
