=== debian/changelog ===
lensfun (0.3.95-8) unstable; urgency=medium

  * Team upload.
  * Reapply x86 build fix from Adrian Bunk.

 -- Steve M. Robbins <smr@debian.org>  Mon, 06 Oct 2025 23:42:06 -0500

lensfun (0.3.95-7) unstable; urgency=medium

  * Team upload.
  * CMakeLists: raise minimum version.  Closes: #1113100.

 -- Steve M. Robbins <smr@debian.org>  Mon, 06 Oct 2025 20:00:59 -0500

lensfun (0.3.95-6) experimental; urgency=medium

  * Merge changes from 0.3.4-1:
    - refresh fix-float.diff to avoid fuzz
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Aug 2023 09:06:20 +0200

lensfun (0.3.95-5) experimental; urgency=medium

  * Backport upstream commit a4f8629317d8818f499c765e88188a579dfd684a to
    increase the tolerance in tests involving SVD (should hopefully fix those
    tests on some architectures); patch
    upstream_Increase-tolerance-for-tests-involving-SVD.-1136.patch.

 -- Pino Toscano <pino@debian.org>  Mon, 04 Jul 2022 20:16:19 +0200

lensfun (0.3.95-4) experimental; urgency=medium

  * Merge changes from 0.3.3-1.
  * Replace patch tests-x86.diff with upstream commit
    c3431aeb1d5b3b5504fd85c2b2f85dddbafbb3f4; patch
    upstream_tests-build-test_modifier_performance-only-on-x86-10.patch.
  * Mark the libxml2-utils build dependency as !nocheck, as it is used only
    when running dh_auto_test.

 -- Pino Toscano <pino@debian.org>  Tue, 15 Mar 2022 23:51:11 +0100

lensfun (0.3.95-3) experimental; urgency=medium

  * Merge changes from 0.3.2-6.
  * Switch Vcs-* fields to the experimental branch.

 -- Pino Toscano <pino@debian.org>  Sun, 07 Feb 2021 12:38:53 +0100

lensfun (0.3.95-2) experimental; urgency=medium

  * Backport upstream commit de954c952929316ea2ad0f6f1e336d9d8164ace0 to fix
    allocation of buffers for strings; patch
    upstream_Allocate-string-with-sufficient-length-to-include-a-.patch.
  * Build test_modifier_performance only on x86, as it uses SSE APIs; patch
    tests-x86.diff.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Feb 2020 12:05:21 +0100

lensfun (0.3.95-1) experimental; urgency=medium

  * New upstream development release.
  * Rename packages according to the new upstream SONAME, and DB version:
    - liblensfun1 -> liblensfun2
    - liblensfun-data-v1 -> liblensfun-data-v2
  * Update the patches:
    - upstream_Use-database-in-source-directory-while-running-tests.patch:
      drop, backported from upstream
    - upstream_Patch-47-respect-DESTDIR-when-installing-python-stuf.patch:
      drop, backported from upstream
  * Add the libxml2-utils build dependency, as xmllint is used in one test.
  * Update install files.
  * Backport parts of upstream commit b9540f30f880e723d51cd1438ef1b7506251309f
    to build with -Wformat-security (default in Debian); patch
    upstream_Enable-Wformat-security-and-fix-respective-warnings.patch.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Feb 2020 21:18:11 +0100
