=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
  doxygen,
  python3-docutils,
  python3-setuptools,
+ libxml2-utils <!nocheck>,
 Standards-Version: 4.6.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://lensfun.github.io/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/lensfun
-Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/lensfun.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/lensfun/-/tree/experimental
+Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/lensfun.git -b experimental
 
 Package: liblensfun-dev
 Section: libdevel
 Architecture: any
-Depends: liblensfun1 (= ${binary:Version}), ${misc:Depends}
+Depends: liblensfun2 (= ${binary:Version}), ${misc:Depends}
 Description: Lens Correction library - Development files
  Lensfun is an opensource database of photographic lenses and their
  characteristics. It contains three kinds of objects:
@@ -37,10 +38,10 @@
  .
  This package contains the development files.
 
-Package: liblensfun1
+Package: liblensfun2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- liblensfun-data-v1 (>= ${source:Version})
+ liblensfun-data-v2 (>= ${source:Version})
 Multi-Arch: same
 Description: Lens Correction library - Runtime files
  Lensfun is an opensource database of photographic lenses and their
@@ -61,7 +62,7 @@
  .
  This package contains the runtime files to access the library.
 
-Package: liblensfun-data-v1
+Package: liblensfun-data-v2
 Architecture: all
 Depends: ${misc:Depends}
 Multi-Arch: foreign
@@ -133,7 +134,7 @@
 Package: python3-lensfun
 Section: python
 Architecture: any
-Depends: liblensfun1 (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
+Depends: liblensfun2 (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
 Description: Lens Correction library - Python3 module
  Lensfun is an opensource database of photographic lenses and their
  characteristics. It contains three kinds of objects:
